2011-11-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Latest development is 7.11.1
	  Spell "development" correctly (and match PREPARE)
	* DEPENDS: llvm is required to build at least r300 Gallium drivers in 7.11
	* PRE_BUILD: No X11R6 mentioned in Makefiles and no Makefile.template
	  for dri driver for 7.11.
	* PRE_BUILD, PRE_SUB_DEPENDS, SUB_DEPENDS: MESALIB_VER -> MESALIB_BRANCH
	  Also, "git" -> "scm" for MESALIB_BRANCH selection

2011-09-27 Ismael Luceno <ismael@sourcemage.org>
	* CONFIGURE: Fix broken case statement

2011-09-26 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: select stable branch by default

2011-09-22 Ismael Luceno <ismael@sourcemage.org>
	* CONFIGURE, DEPENDS, DETAILS, PREPARE: Use prepare_select_branch

2011-06-24 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: correctly compare versions

2011-06-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.10.3 (feature, developement)

2011-04-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.10.2 (feature, developement)

2011-03-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.9.2 (stable), 7.10.1 (feature, developement)

2011-02-27 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* PRE_BUILD: apply Makefile-fix-sed-expression.patch to all versions

2011-02-16 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* PRE_BUILD, Makefile-fix-sed-expression.patch: added patch to fix
	  error caused by malformed sed expression

2011-02-11 Vlad Glagolev <stealth@sourcemage.org>
	* REPAIR^all^EXPORTS: really export MESALIB_BUILD

2011-01-13 Vlad Glagolev <stealth@sourcemage.org>
	* {REPAIR^all^,}EXPORTS: added, to export MESALIB_BUILD

2011-01-11 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: stable now too depends on talloc and needs python bindings
	  for libxml

2011-01-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.9.1 (stable), 7.10 (feature, developement)
	* CONFIGURE: MESALIB_GALLIUM updated

2011-01-07 Ladislav Hagara <hgr@vabo.cz>
	* CONFIGURE: config_query_multi MESALIB_GALLIUM updated
	* CONFIGURE: AVAILABLE_DRIVERS updated
	* SUB_DEPENDS: added r600 to stable's AVAILABLE_DRIVERS

2010-12-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.8.2 (stable), 7.9 (feature, developement)
	* PRE_BUILD, gl_select.patch: patch removed

2010-11-12 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* gl_select-scm.patch: fixes for glselect
	* gl_select.patch: fixes for glselect

2010-10-14 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Radeon's mklib does not properly pass '-s' to LDFLAGS (bad fix)

2010-10-05 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS: feature => 7.6.2, developement => 7.9;
	  updated MESALIB_VER=developement to 7.9
	  updated MESALIB_VER=feature to 7.6.1
	  BUILD: updated gallium options, added MESALIB_OPTS;
	  CONFIGURE: updated gallium and dri drivers options; added missing options;
	  DEPENDS: made libxt optional; added conditional sub_depends on libdrm;
	  added talloc

2010-09-14 Pol Vinogradov <vin.public@gmail.com>
	* PRE_BUILD: removed link creation for git branch

2010-08-19 Arjan Bouter <abouter@sourcemage.org>
	* PROVIDES: enabled GLUT again, see docs/glu.html
	* DEPENDS: added talloc for the scm version
	* PRE_BUILD, autogen.patch: fixed autogen.sh for scm version

2010-06-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.8.2 (development)

2010-06-13 Robin Cook <rcook@wyrms.net>
	* PROVIDES: removed GLUT

2010-04-26 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE, SUB_DEPENDS: Enable nouveau for 7.8.1+ (development)

2010-04-10 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: remove imake, not needed
	* REPAIR^cfe9d942370d8c12716d288816996d37^DEPENDS: deleted

2010-04-06 Eric Sandall <sandalle@sourcemage.org>
	* {PRE_,}SUB_DEPENDS: Allow requiring non-stable (e.g. for new
	  xf86-video-ati which needs the new KMS code)

2010-04-06 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS: updated MESALIB_VER=developement to 7.8.1

2010-04-03 Ladislav Hagara <hgr@vabo.cz>
	* PRE_BUILD: removed sedit, none X11R6 in dri_glx.c (7.5.2, 7.7.1, 7.8)

2010-03-31 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS: updated MESALIB_VER=feature to 7.7.1
	  updated MESALIB_VER=developement to 7.8

2010-02-26 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Fails with multiple make jobs

2010-02-10 Pol Vinogradov <vin.public@gmail.com>
	* PRE_BUILD: fix for git branch

2010-02-03 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS, PREPARE: added a default version

2010-01-23 Vasil Yonkov <spirtbrat@sourcemage.org>
	* CONFIGURE, DEPENDS, DETAILS, PREPARE, PRE_BUILD,
	  SUB_DEPENDS: added test and developement branches

2010-01-02 Robert Figura <template@sourcemage.org>
	* DETAILS: version 7.5.2

2009-10-03 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: force sub_depends XCB for libx11

2009-09-13 Peng Chang (Charles) <chp@sourcemage.org>
	* DETAILS: updated to 7.5.1, also updated SOURCE_URL and WEB_SITE

2009-08-06 Arjan Bouter <abouter@sourcemage.org>
	* CONFIGURE, BUILD: added gallium drivers

2009-07-31 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Bash does not support floating point arithmetic, reduce
	  to integer.
	  Need to use -lt instead of < for comparison otherwise stupid simple
	  math such as 2411 < 243 will be true, but 2411 < 241 will be false.
	  This fixes libdrm always being forced
	* PRE_BUILD: autogen.sh only exists in GIT checkout so only fix there

2009-07-28 Arjan Bouter <abouter@sourcemage.org>
	* PRE_BUILD: moved the sedit for configure

2009-07-25 Arjan Bouter <abouter@sourcemage.org>
	* PRE_BUILD: add patch for scm version, don't run configure
	  from autogen.sh
	* DEPENDS: added optional dep on libxcb
	* CONFIGURE, SUB_DEPENDS: added r600 for scm version
	* PROVIDES: provides GLUT
	* gl_select-scm.patch: added

2009-07-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.5
	  SOURCE matches upstream posted MD5

2009-06-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.4.4

2009-06-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 7.4.3

2009-05-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 7.4.2

2009-04-18 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.4.1

2009-04-01 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 7.4

2009-02-20 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* FINAL: forgot sourcing of FUNCTIONS

2009-02-20 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_BUILD: Fix git build by changing to $SOURCE_DIRECTORY
	  before running ./autogen.sh.

2009-02-09 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: removed smgl-gl_select
	* FINAL: using internal glselect
	* POST_RESURRECT: restore mesa on resurrection, added FUNCTIONS
	* REPAIR^all^POST_RESURRECT: copy of POST_RESURRECT

2009-02-08 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* PRE_BUILD: added a patch for smgl-gl_select
	* gl_select.patch: patch to install to subdir 
	* DEPENDS: smgl-gl_depends
	* DETAILS: patchlevel++

2009-01-26 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Force dependency on libdrm if libdrm < 2.4.3

2009-01-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.3
	* DEPENDS: Depends on dri2proto

2009-01-20 Ethan Grammatikidis <eekee57@fastmail.fm>
	* CONFIGURE: Added much longer message to really explain the build
	  type option, based on what I read on mesalib's web site today.

2009-01-18 Ethan Grammatikidis <eekee57@fastmail.fm>
	* CONFIGURE: Added text to query to ease building of xorg-server

2008-12-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_BUILD: Run autogen.sh for git build.

2008-11-14 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: updated build type so that swrast can be built
	* SUB_DEPENDS: updated sub depends to work with the auto* build
	* PRE_SUB_DEPENDS: updated sub depends to work with the auto* build
	* CONFIGURE: updated build type so that swrast can be built

2008-10-14 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added missing dep (#14775); cleaned up

2008-10-13 Vlad Glagolev <stealth@sourcemage.org>
	* INSTALL: removed deprecated comments; fixed #14821

2008-10-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 7.2
	  Seems to still honour MESALIB_BUILD
	* CONFIGURE: No more nouveau, i915tex
	* PRE_BUILD: glw.pc.in is now included

2008-08-22 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 7.0.4

2008-06-16 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: mesalib 7.0.3

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: xorg-utils is the only X11-UTILS now

2007-12-14 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS: Needs glproto for build (GL headers).

2007-12-13 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD: Change x86-64 configs to install libs in lib/, not lib64/

2007-11-23 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: No longer conflicts with xorg-modular profile spell, xorg

2007-11-10 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 7.0.2
	* INSTALL: using make install now
	* DEPENDS: split up the xorg-utils into their separate components
	* glw.pc.in: missing from 7.0.2 tarball
	* PRE_BUILD: copy the missing file over, drop xorg-utils stuff

2007-09-30 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: lock in to -modular only

2007-09-04 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: missing various dependencies droping X11-LIBS
	  it's useless as it conflicts with all other providers but
	  the xorg-modular ones

2007-08-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.0.1

2007-06-28 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 7.0

2007-05-15 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Only query for autoupdate if MESALIB_GIT=y

2007-04-30 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: added sourcing of $GRIMOIRE/FUNCTIONS for
	  check_if_xorg_modular_libs

2007-04-29 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFLICTS: added to finnaly stop reciving bogus bugs when
	  people try to build it against monolithic X
	* DEPENDS: added some missing deps as noted by dmlb2000

2007-04-28 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: version update 6.5.3
	* CONFIGURE: added two new drivers
	* SUB_DEPENDS: added two new drivers

2007-04-03 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Query for checking out latest development version
	* DETAILS: Added code for git version
	* DEPENDS: Depend on git if checking out development version

2007-01-02 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: add 'make_single', as x86-64 fails with multiple jobs

2006-12-26 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: added i915tex
	* SUB_DEPENDS: added i915tex
	* DETAILS: patchlevel++

2006-12-03 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* glxext.diff: removed fixed upstream
	* PRE_BUILD: minor fix for alternate arches
	* DETAILS: version update to 6.5.2

2006-11-12 Flavien Bridault <vlaaad@sourcemage.org>
	* glxext.h: fixes for bug #13256
	* PRE_BUILD: applied patch
	* DETAILS: PATCHLEVEL++

2006-10-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: Added, sub-dependency for DRI 
	  build option.

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-16 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: version update 6.5.1
	* PRE_BUILD: minor fixes

2006-09-10 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: added driver selection bug #12655
	* PRE_BUILD: added driver selection
	* DETAILS: patchevel++

2006-08-27 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* PRE_BUILD: ne wonder this doesn't work the check won't work as mesalib
	  does not require X11-LIBS so nothing to check against

2006-07-31 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: removed UPDATED and BUILD_API=2 lines
	* PRE_BUILD: switched to check_if_xorg_modular_libs from grimoire's
	  FUNCTIONS for modular X checking

2006-07-19 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: PATCHLEVEL=1
	* INSTALL: there's a missing symlink generation here which
	  makes the install useless for dri stuff

2006-05-27 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* INSTALL: add install for x86_64 bug #12141

2006-05-26 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: removed X11-LIBS and added X11-UTILS

2006-05-23 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: version update, PATCHLEVEL droped new version
	* DEPENDS: added libdrm
	* PRE_BUILD: check if we're acctually installing for -modular
	* INSTALL: finnaly fix for the non-dri targets

2006-05-01 Robin Cook <rcook@wyrms.net>
	* volatiles: modified for the libGL.so.* files
	
2006-04-30 Robin Cook <rcook@wyrms.net>
	* volatiles: added for the files nvidia_driver installs

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-04 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: removed mesademos own spell
	* CONFIGURE: use proper ARCH variable for selection
	  removed mesademos uses own spell
	* DETAILS: removed mesademos uses own spell
	* INSTALL: removed mesademos uses own spell
	* PRE_BUILD: removed mesademos uses own spell

2006-03-03 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: added mesademos
	  PATCHLEVEL, multiple bugfixes and new functinality
	* PRE_BUILD: added mesademos
	* INSTALL: fix for instalation of dri drivers
	  and added mesademos support
	* BUILD: added mesademos support
	* CONFIGURE: added mesademos support,
	  fixed for arch selection...
	* DEPENDS: uses X11-LIBS for now

2006-02-03 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 6.4.2

2006-01-05 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: added makedepend

2005-12-26 Robin Cook <rcook@wyrms.net>
	* CONFIGURE: corrected query question

2006-02-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 6.4.2

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-11-28 Seth Woolley <seth@tautology.org>
	* BUILD: unpack api update

2005-06-08 Ladislav Hagara <hgr@vabo.cz>
	* CONFLICTS: deleted, MesaLib was removed from grimoire

2005-02-28 Eric Sandall <sandalle@sourcemage.org>
	* Renamed from MesaLib
	* DETAILS: Renamed to mesalib
	  Updated UPDATED
	  Added BUILD_API=2
	* CONFIGURE: Converted to config_query
	* CONFLICTS: Auto-conflicts with MesaLib
	* BUILD: Converted to build_api 2
	  Apply CONFIGURE flags to OPTS
	* INSTALL: Branched from BUILD
	  Converted to build_api 2

2003-11-06 hgg <hgreig@bigpond.net.au>
	* DETAILS: correct md5 (they released an updated tarball)
	* BUILD: remove my fudge from previously

2003-10-27 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Changed 'glut' to 'GLUT'

2003-10-10 hgg <hgreig@bigpond.net.au>
	* HISTORY: convert to new format
	* PROVIDES: uppercase
	* DEPENDS: uppercase for providers

2003-10-03 hgg <hgreig@bigpond.net.au>
	* DEPENDS: Change optional_depends xfree86 to x11-libs, needs devel sorcery now

2003-09-27 hgg <hgreig@bigpond.net.au>
	* DETAILS: Fix my faulty update by adding a correct MD5[0]

2003-09-13 hgg <hgreig@bigpond.net.au>
	* DEPENDS: Xfree86 is an optional depends, added other options to DEPENDS
	* DETAILS,BUILD: Update to 5.0.2(lot of work for some reason?), 
	  remove /usr/X11R6/lib reference from BUILD as it breaks non-X builds.

2003-08-11 hgg <hgreig@bigpond.net.au>
	* DEPENDS: Add xfree86 as depends

2003-07-08 hgg <hgreig@bigpond.net.au>
	* ALL: Moved to x11 section

2003-07-06 hgg <hgreig@bigpond.net.au>
	* BUILD,POST_INSTALL: Found some aliens from the POST_INSTALL so removed that and modified the BUILD.

2003-06-24 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update to 5.0.1

2002-11-26 Julian v. Bock <julian@wongr.net>
	* ALL: add spell.

2002-11-20 Eric Sandall <sandalle@sourcemage.org>
	* ALL: Spell created

